import sizeComponent from './sizeComponent';

export default {
    mixins: [sizeComponent],
    props: {
        name: String,
        block: Boolean,
        border: Boolean,
        circle: Boolean,
        radius: Boolean,
        smallRadius: {
            type: Boolean,
            default: true
        },
    },
    computed: {
        formComponentClasses () {
            return {
                ['small-radius']: !!this.smallRadius,
                [this.size]: !!this.size,
                ['circle']: !!this.circle,
                ['block']: !!this.block,
                ['radius']: !!this.radius,
            };
        }
    }
};